package com.ejie.ab79.model.preguntasRespuestas;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * OpcionesPrePro  
 *  
 */

public class OpcionesPrePro  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idOpcionPrePro;
            private Integer idPreguntaProtocolo;
            private String descripcionCastellano;
            private String descripcionEuskera;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'OpcionesPrePro'.
	 */
    public OpcionesPrePro() {
    }


	
    
    /** 
     * Method 'OpcionesPrePro'.
     * @param idOpcionPrePro Integer
     */    
     public OpcionesPrePro(Integer idOpcionPrePro) {
          this.idOpcionPrePro = idOpcionPrePro;
	}

    

    /** 
     * Method 'OpcionesPrePro'.
     * @param idOpcionPrePro Integer
     * @param idPreguntaProtocolo Integer
     * @param descripcionCastellano String
     * @param descripcionEuskera String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public OpcionesPrePro(Integer idOpcionPrePro, Integer idPreguntaProtocolo, String descripcionCastellano, String descripcionEuskera, Date fechaRegistro, String usuarioRegistro) {	

           this.idOpcionPrePro = idOpcionPrePro;
           this.idPreguntaProtocolo = idPreguntaProtocolo;
           this.descripcionCastellano = descripcionCastellano;
           this.descripcionEuskera = descripcionEuskera;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdOpcionPrePro'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdOpcionPrePro() {
		return this.idOpcionPrePro;
	}

	/**
	 * Method 'setIdOpcionPrePro'.
	 *
	 * @param idOpcionPrePro Integer
	 * @return
     */
	
	public void setIdOpcionPrePro(Integer idOpcionPrePro) {
		this.idOpcionPrePro = idOpcionPrePro;
	}
    /**
	 * Method 'getIdPreguntaProtocolo'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaProtocolo() {
		return this.idPreguntaProtocolo;
	}

	/**
	 * Method 'setIdPreguntaProtocolo'.
	 *
	 * @param idPreguntaProtocolo Integer
	 * @return
     */
	
	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}
    /**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */
	
	
	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano String
	 * @return
     */
	
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}
    /**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */
	
	
	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera String
	 * @return
     */
	
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idOpcionPrePro: ").append(this.idOpcionPrePro).append(" ]");
		result.append(", [ idPreguntaProtocolo: ").append(this.idPreguntaProtocolo).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

